Loading...
Searching...
No Matches
hueplusplus::sensors Namespace Reference

Classes for specific sensor types. More...

## Classes

class | BaseCLIP
| Common methods for CLIP sensors. More...
class | CLIPGenericFlag
| CLIP sensor for a generic 3rd party sensor. More...
class | CLIPGenericStatus
| CLIP sensor for a generic 3rd party status. More...
class | CLIPHumidity
| CLIP sensor for humidity. More...
class | CLIPLightLevel
| CLIP sensor for light level. More...
class | CLIPOpenClose
| CLIP sensor detecting whether a contact is open or closed. More...
class | CLIPPresence
| CLIP sensor to detect presence. More...
class | CLIPSwitch
| CLIP sensor for button presses. More...
class | CLIPTemperature
| CLIP sensor for temperature. More...
class | DaylightSensor
| Daylight sensor to detect sunrise and sunset. More...
class | ZGPSwitch
| ZigBee Green Power sensor for button presses. More...
class | ZLLLightLevel
| ZigBee sensor detecting ambient light level. More...
class | ZLLPresence
| Sensor detecting presence in the vicinity. More...
class | ZLLSwitch
| ZigBee sensor reporting button presses. More...
class | ZLLTemperature
| ZigBee temperature sensor. More...

## Functions

detail::ConditionHelper< bool > | makeCondition (const CLIPOpenClose &sensor)
detail::ConditionHelper< int > | makeCondition (const CLIPHumidity &sensor)
detail::ConditionHelper< bool > | makeCondition (const CLIPGenericFlag &sensor)
detail::ConditionHelper< int > | makeCondition (const CLIPGenericStatus &sensor)
detail::ConditionHelper< bool > | makeCondition (const DaylightSensor &sensor)
template<typename SensorT , detail::void_t< decltype(std::declval< const SensorT >().getLastUpdated())> * = nullptr>
detail::ConditionHelper< time::AbsoluteTime > | makeConditionLastUpdate (const SensorT &sensor)
template<typename ButtonSensor , detail::void_t< decltype(std::declval< const ButtonSensor >().getButtonEvent())> * = nullptr>
detail::ConditionHelper< int > | makeCondition (const ButtonSensor &sensor)
template<typename PresenceSensor , detail::void_t< decltype(std::declval< const PresenceSensor >().getPresence())> * = nullptr>
detail::ConditionHelper< bool > | makeCondition (const PresenceSensor &sensor)
template<typename TemperatureSensor , detail::void_t< decltype(std::declval< const TemperatureSensor >().getPresence())> * = nullptr>
detail::ConditionHelper< int > | makeCondition (const TemperatureSensor &sensor)
detail::ConditionHelper< bool > | makeConditionDark (const ZLLLightLevel &sensor)
detail::ConditionHelper< bool > | makeConditionDaylight (const ZLLLightLevel &sensor)
detail::ConditionHelper< int > | makeConditionLightLevel (const ZLLLightLevel &sensor)

## Detailed Description

Classes for specific sensor types.

Classes should have a typeStr member with the type name.

## Function Documentation

## makeCondition() [1/8]

template<typename ButtonSensor , detail::void_t< decltype(std::declval< const ButtonSensor >().getButtonEvent())> * = nullptr>

detail::ConditionHelper< int > hueplusplus::sensors::makeCondition | ( | const ButtonSensor & | sensor | ) |

protected

## makeCondition() [2/8]

detail::ConditionHelper< bool > hueplusplus::sensors::makeCondition | ( | const CLIPGenericFlag & | sensor | ) |

## makeCondition() [3/8]

detail::ConditionHelper< int > hueplusplus::sensors::makeCondition | ( | const CLIPGenericStatus & | sensor | ) |

## makeCondition() [4/8]

detail::ConditionHelper< int > hueplusplus::sensors::makeCondition | ( | const CLIPHumidity & | sensor | ) |

## makeCondition() [5/8]

detail::ConditionHelper< bool > hueplusplus::sensors::makeCondition | ( | const CLIPOpenClose & | sensor | ) |

## makeCondition() [6/8]

detail::ConditionHelper< bool > hueplusplus::sensors::makeCondition | ( | const DaylightSensor & | sensor | ) |

protected

## makeCondition() [7/8]

template<typename PresenceSensor , detail::void_t< decltype(std::declval< const PresenceSensor >().getPresence())> * = nullptr>

detail::ConditionHelper< bool > hueplusplus::sensors::makeCondition | ( | const PresenceSensor & | sensor | ) |

protected

## makeCondition() [8/8]

template<typename TemperatureSensor , detail::void_t< decltype(std::declval< const TemperatureSensor >().getPresence())> * = nullptr>

detail::ConditionHelper< int > hueplusplus::sensors::makeCondition | ( | const TemperatureSensor & | sensor | ) |

protected

## makeConditionDark()

detail::ConditionHelper< bool > hueplusplus::sensors::makeConditionDark | ( | const ZLLLightLevel & | sensor | ) |

## makeConditionDaylight()

detail::ConditionHelper< bool > hueplusplus::sensors::makeConditionDaylight | ( | const ZLLLightLevel & | sensor | ) |

## makeConditionLastUpdate()

template<typename SensorT , detail::void_t< decltype(std::declval< const SensorT >().getLastUpdated())> * = nullptr>

detail::ConditionHelper< time::AbsoluteTime > hueplusplus::sensors::makeConditionLastUpdate | ( | const SensorT & | sensor | ) |

protected

## makeConditionLightLevel()

detail::ConditionHelper< int > hueplusplus::sensors::makeConditionLightLevel | ( | const ZLLLightLevel & | sensor | ) |